# Retrieve a model

Endpoint: GET /models/{id}
Version: v3
Security: oauth2

## Security:

  - `oauth2` (unknown)
    oauth2

## Path parameters:

  - `id` (string, required)
    Id of the model

## Response 200:

  - `200` (unknown)
    If model retrieved successfully.

## Response 200 fields (application/json):

  - `id` (string)
    Id of the Model.

  - `displayName` (null | object)
    Display Names of the Model keyed by language code.

  - `description` (null | object)
    Description of the Model keyed by language code.

  - `modelDefinition` (string)
    Encoded JSON string of DTDL model definition.

  - `uploadTime` (null | string)
    Timestamp when the model was uploaded in ISO 8601 format

## Response 400:

  - `400` (unknown)
    If id is not valid or null or empty.

## Response 400 fields (application/json):

  - `type` (null | string)

  - `title` (null | string)

  - `status` (null | integer)

  - `detail` (null | string)

  - `instance` (null | string)

## Response 404:

  - `404` (unknown)
    If model not found

## Response 404 fields (application/json):

  - `type` (null | string)

  - `title` (null | string)

  - `status` (null | integer)

  - `detail` (null | string)

  - `instance` (null | string)

